extends Node


# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta):
	pass

func get_tags(selectedObject:Node):
	var _tags: Array
	if (selectedObject.has_meta("tags")):
		_tags = selectedObject.get_meta("tags")
		return _tags
	else:
		printerr("no tags inside %",selectedObject)
		return _tags
		
func add_tags(selectedObject:Node,tags:Array):
	var _all_tags:Array
	if (selectedObject.has_meta("tags")):
		_all_tags = selectedObject.get_meta("tags")
	_all_tags.append(tags)
	selectedObject.set_meta("tags",_all_tags)

func remove_tags(selectedObject:Node,tags:Array):
	if (selectedObject.has_meta("tags")):
		var _all_tags:Array
		_all_tags = selectedObject.get_meta("tags")
		for _tag in tags:
			_all_tags.erase(_tag)
			
func isSticker(selectedObject:Node):
	var _isSticker:bool = false
	var _tags = get_tags(selectedObject)
	if (_tags.size() > 0):
		if (_tags.find("sticker") != -1):
			_isSticker = true
		
	return _isSticker
